Module javafx.base
Package javafx.beans.property

## Class ReadOnlyDoubleProperty

- java.lang.Object
- - javafx.beans.binding.NumberExpressionBase
  - - javafx.beans.binding.DoubleExpression
    - - javafx.beans.property.ReadOnlyDoubleProperty

- All Implemented Interfaces:
    `NumberExpression`, `Observable`, `ReadOnlyProperty<Number>`, `ObservableDoubleValue`, `ObservableNumberValue`, `ObservableValue<Number>`
  Direct Known Subclasses:
    `DoubleProperty`, `ReadOnlyDoublePropertyBase`

      public abstract class ReadOnlyDoubleProperty
      extends DoubleExpression
      implements ReadOnlyProperty<Number>

  Superclass for all readonly properties wrapping a `double`.
  Since:
    JavaFX 2.0
  See Also:
    `ObservableDoubleValue`, `DoubleExpression`, `ReadOnlyProperty`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReadOnlyDoubleProperty()` | The constructor of `ReadOnlyDoubleProperty`.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `ReadOnlyObjectProperty<Double>` | `asObject()` | Creates a `ReadOnlyObjectProperty` that holds the value of this `ReadOnlyDoubleProperty`.
    `static <T extends Number> ReadOnlyDoubleProperty` | `readOnlyDoubleProperty​(ReadOnlyProperty<T> property)` | Returns a `ReadOnlyDoubleProperty` that wraps a `ReadOnlyProperty`.
    `String` | `toString()` | Returns a string representation of this `ReadOnlyDoubleProperty` object.

    - ### Methods inherited from class javafx.beans.binding.DoubleExpression

      `add, add, add, add, add, divide, divide, divide, divide, divide, doubleExpression, doubleExpression, doubleValue, floatValue, getValue, intValue, longValue, multiply, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract, subtract`

    - ### Methods inherited from class javafx.beans.binding.NumberExpressionBase

      `asString, asString, asString, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, numberExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods inherited from interface javafx.beans.value.ObservableDoubleValue

      `get`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods inherited from interface javafx.beans.property.ReadOnlyProperty

      `getBean, getName`

- - ### Constructor Detail

    - #### ReadOnlyDoubleProperty

          public ReadOnlyDoubleProperty()

      The constructor of `ReadOnlyDoubleProperty`.

  - ### Method Detail

    - #### toString

          public String toString()

      Returns a string representation of this `ReadOnlyDoubleProperty` object.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of this `ReadOnlyDoubleProperty` object.

    - #### readOnlyDoubleProperty

          public static <T extends Number> ReadOnlyDoubleProperty readOnlyDoubleProperty​(ReadOnlyProperty<T> property)

      Returns a `ReadOnlyDoubleProperty` that wraps a `ReadOnlyProperty`. If the `ReadOnlyProperty` is already a `ReadOnlyDoubleProperty`, it will be returned. Otherwise a new `ReadOnlyDoubleProperty` is created that is bound to the `ReadOnlyProperty`. Note: null values will be interpreted as 0.0
      Type Parameters:
        `T` - The type of Number to be wrapped
      Parameters:
        `property` - The source `ReadOnlyProperty`
      Returns:
        A `ReadOnlyDoubleProperty` that wraps the `ReadOnlyProperty` if necessary
      Throws:
        `NullPointerException` - if `property` is `null`
      Since:
        JavaFX 8.0

    - #### asObject

          public ReadOnlyObjectProperty<Double> asObject()

      Creates a `ReadOnlyObjectProperty` that holds the value of this `ReadOnlyDoubleProperty`. If the value of this `ReadOnlyDoubleProperty` changes, the value of the `ReadOnlyObjectProperty` will be updated automatically.
      Overrides:
        `asObject` in class `DoubleExpression`
      Returns:
        the new `ReadOnlyObjectProperty`
      Since:
        JavaFX 8.0